[[content-for:css]] [[end]]

How can we help?

Pioneer CDJ-400 requires firmware update in order to be compatible with Scratch Live

Native support in Scratch Live has been added for the Pioneer CDJ-400. The CDJ-400 must have firmware version 1.300 or greater to operate correctly. The latest firmware update is available as a free download from the Pioneer website.